//go:build wireinject
// +build wireinject

// The build tag makes sure the stub is not built in the final build.

package main

import (
	"github.com/go-kratos/kratos/v2"
	"github.com/go-kratos/kratos/v2/log"
	"github.com/google/wire"
	"gokratos-base/app/service/demo/internal/biz"
	"gokratos-base/app/service/demo/internal/conf"
	"gokratos-base/app/service/demo/internal/data"
	"gokratos-base/app/service/demo/internal/server"
	"gokratos-base/app/service/demo/internal/service"
)

// wireApp init kratos application.
func wireApp(*conf.Server, *conf.Data, log.Logger) (*kratos.App, func(), error) {
	panic(wire.Build(server.ProviderSet, data.ProviderSet, biz.ProviderSet, service.ProviderSet, newApp))
}
