// Code generated by Wire. DO NOT EDIT.

//go:generate go run github.com/google/wire/cmd/wire
//go:build !wireinject
// +build !wireinject

package main

import (
	"github.com/go-kratos/kratos/v2"
	"github.com/go-kratos/kratos/v2/log"
	"gokratos-base/app/service/demo/internal/biz"
	"gokratos-base/app/service/demo/internal/conf"
	"gokratos-base/app/service/demo/internal/data"
	"gokratos-base/app/service/demo/internal/server"
	"gokratos-base/app/service/demo/internal/service"
)

// Injectors from wire.go:

// wireApp init kratos application.
func wireApp(confServer *conf.Server, confData *conf.Data, logger log.Logger) (*kratos.App, func(), error) {
	dataData, cleanup, err := data.NewData(confData)
	if err != nil {
		return nil, nil, err
	}
	demoRepo := data.NewDemoRepo(dataData)
	demoUseCase := biz.NewDemoUseCase(demoRepo)
	demoService := service.NewDemoService(demoUseCase)
	httpServer := server.NewHTTPServer(confServer, demoService)
	grpcServer := server.NewGRPCServer(confServer, demoService)
	app := newApp(logger, httpServer, grpcServer)
	return app, func() {
		cleanup()
	}, nil
}
